Bug 447440 - /etc/hosts and ipa* problems
/etc/hosts and ipa* problems
Status: CLOSED CURRENTRELEASE
Product: freeIPA
Classification: Community
Component: Documentation (Show other bugs)
1.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: David O'Brien
Chandrasekar Kannan
: Documentation
Depends On:
Blocks: 429034
  Show dependency treegraph
 
Reported: 2008-05-19 17:47 EDT by Mark Christiansen
Modified: 2015-01-04 18:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-12 00:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Christiansen 2008-05-19 17:47:51 EDT
Description of problem:

Installation with localhost as the first entry in /etc/hosts presents problems
with ipa* commands.  Moving the FQDN to the first entry and the localhost entry
down fixes this problem.

Version-Release number of selected component (if applicable):

v1.0 - could apply to other branches

How reproducible:

Install with localhost as first entry in /etc/hosts

Steps to Reproduce:
1. "yum install" method
2.
3.
  
Actual results:

Uing kinit and klist works, but ipa* commands give an error with GSSAPI.

Expected results:

ipa* should not give an error back

Additional info:

Modifying /etc/hosts to have FQDN fixes ipa* problems.  Documentation should
reflect this, or the installation process should move these files around for the
end user.
Comment 1 David O'Brien 2008-05-19 22:36:37 EDT
Add to both Installation Guide and Troubleshooting.
Comment 4 David O'Brien 2008-05-22 11:48:56 EDT
Added sub-section 2.4. Configuring the /etc/hosts File to the "Preparing for an
IPA Installation" chapter in the Installation and Deployment Guide.
Comment 5 Yi Zhang 2008-05-23 12:02:44 EDT
QA Verified on May 23, 2008 (Yi)

Build used: May 23, 2008 (x64)

Comment 6 Yi Zhang 2008-05-23 12:03:14 EDT
the document is here
http://www.freeipa.com/page/InstallAndDeploy#Configuring_.2Fetc.2Fhosts

Note You need to log in before you can comment on or make changes to this bug.